# TdApi.InputInlineQueryResultAnimatedMpeg4

Package it.ernytech.tdlib

## Class TdApi.InputInlineQueryResultAnimatedMpeg4

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputInlineQueryResult
    - - it.ernytech.tdlib.TdApi.InputInlineQueryResultAnimatedMpeg4

Enclosing class:
  TdApi

    public static class TdApi.InputInlineQueryResultAnimatedMpeg4
    extends TdApi.InputInlineQueryResult

Represents a link to an animated (i.e. without sound) H.264/MPEG-4 AVC video.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `id` Unique identifier of the query result.
`TdApi.InputMessageContent` `inputMessageContent` The content of the message to be sent.
`int` `mpeg4Duration` Duration of the video, in seconds.
`int` `mpeg4Height` Height of the video.
`java.lang.String` `mpeg4Url` The URL of the MPEG4-file (file size must not exceed 1MB).
`int` `mpeg4Width` Width of the video.
`TdApi.ReplyMarkup` `replyMarkup` The message reply markup.
`java.lang.String` `thumbnailUrl` URL of the static result thumbnail (JPEG or GIF), if it exists.
`java.lang.String` `title` Title of the result.

### Constructor Summary

Constructors
`InputInlineQueryResultAnimatedMpeg4()` Default constructor.
`InputInlineQueryResultAnimatedMpeg4​(java.lang.String id, java.lang.String title, java.lang.String thumbnailUrl, java.lang.String mpeg4Url, int mpeg4Duration, int mpeg4Width, int mpeg4Height, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public java.lang.String id

Unique identifier of the query result.

#### title

    public java.lang.String title

Title of the result.

#### thumbnailUrl

    public java.lang.String thumbnailUrl

URL of the static result thumbnail (JPEG or GIF), if it exists.

#### mpeg4Url

    public java.lang.String mpeg4Url

The URL of the MPEG4-file (file size must not exceed 1MB).

#### mpeg4Duration

    public int mpeg4Duration

Duration of the video, in seconds.

#### mpeg4Width

    public int mpeg4Width

Width of the video.

#### mpeg4Height

    public int mpeg4Height

Height of the video.

#### replyMarkup

    public TdApi.ReplyMarkup replyMarkup

The message reply markup. Must be of type replyMarkupInlineKeyboard or null.

#### inputMessageContent

    public TdApi.InputMessageContent inputMessageContent

The content of the message to be sent. Must be one of the following types: InputMessageText, InputMessageAnimation, InputMessageLocation, InputMessageVenue or InputMessageContact.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputInlineQueryResultAnimatedMpeg4

    public InputInlineQueryResultAnimatedMpeg4()

Default constructor.

#### InputInlineQueryResultAnimatedMpeg4

    public InputInlineQueryResultAnimatedMpeg4​(java.lang.String id,
                                               java.lang.String title,
                                               java.lang.String thumbnailUrl,
                                               java.lang.String mpeg4Url,
                                               int mpeg4Duration,
                                               int mpeg4Width,
                                               int mpeg4Height,
                                               TdApi.ReplyMarkup replyMarkup,
                                               TdApi.InputMessageContent inputMessageContent)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique identifier of the query result.
  `title` - Title of the result.
  `thumbnailUrl` - URL of the static result thumbnail (JPEG or GIF), if it exists.
  `mpeg4Url` - The URL of the MPEG4-file (file size must not exceed 1MB).
  `mpeg4Duration` - Duration of the video, in seconds.
  `mpeg4Width` - Width of the video.
  `mpeg4Height` - Height of the video.
  `replyMarkup` - The message reply markup. Must be of type replyMarkupInlineKeyboard or null.
  `inputMessageContent` - The content of the message to be sent. Must be one of the following types: InputMessageText, InputMessageAnimation, InputMessageLocation, InputMessageVenue or InputMessageContact.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR